# Created by pyp2rpm-3.3.2
%global pypi_name sdnotify

Name:           python-%{pypi_name}
Version:        0.3.2
Release:        1%{?dist}.2
Summary:        A pure Python implementation of systemd's service notification protocol (sd_notify)

License:        None
URL:            https://github.com/bb4242/sdnotify
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is a pure Python implementation of the systemd sd_notify protocol.
This protocol can be used to inform systemd about service start-up completion,
watchdog events, and other service status changes. Thus, this package can be
used to write system services in Python that play nicely with systemd.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a pure Python implementation of the systemd sd_notify protocol.
This protocol can be used to inform systemd about service start-up completion,
watchdog events, and other service status changes. Thus, this package can be
used to write system services in Python that play nicely with systemd.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Aug 15 2019 Oleg Girko <ol@infoserver.lv> - 0.3.2-1
- Initial package.
